Bug 252742 - net/py-wsdd: Update to 0.6.3
Summary: net/py-wsdd: Update to 0.6.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-16 14:44 UTC by Hiroo Ono
Modified: 2021-02-07 00:42 UTC (History)
1 user (show)

See Also:


Attachments
patch for py-wsdd 0.6.3 (838 bytes, patch)
2021-01-16 14:44 UTC, Hiroo Ono
no flags Details | Diff
patch to workaround the defect of 0.6.3. (875 bytes, patch)
2021-01-23 13:15 UTC, Hiroo Ono
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroo Ono 2021-01-16 14:44:27 UTC
Created attachment 221632 [details]
patch for py-wsdd 0.6.3

from the Changelog:
## [0.6.3] - 2021-01-10

### Fixed

- Skip Netlink messages smaller than 4 bytes correctly (#77, and maybe #59)
- Messages are sent via the correct socket to comply with the intended/specified message flow. This also eases the firewall configuration (#72).

#
Comment 1 Automation User 2021-01-16 14:50:49 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/242588785
Comment 2 commit-hook freebsd_committer 2021-01-17 18:17:14 UTC
A commit references this bug:

Author: swills
Date: Sun Jan 17 18:16:31 UTC 2021
New revision: 561851
URL: https://svnweb.freebsd.org/changeset/ports/561851

Log:
  net/py-wsdd: Update to 0.6.3

  PR:		252742
  Submitted by:	Hiroo Ono <hiroo.ono+freebsd@gmail.com> (maintainer)

Changes:
  head/net/py-wsdd/Makefile
  head/net/py-wsdd/distinfo
Comment 3 Steve Wills freebsd_committer 2021-01-17 18:18:06 UTC
Committed, thanks!
Comment 4 Jeremy Chadwick 2021-01-21 16:10:10 UTC
Be aware this upgrade has broken the daemon for at least one user (myself): https://github.com/christgau/wsdd/issues/80

In the past I have done "deep analysis" (down to syscall level) of this daemon due to problems: https://github.com/christgau/wsdd/issues/49
Comment 5 Hiroo Ono 2021-01-23 13:15:12 UTC
Created attachment 221837 [details]
patch to workaround the defect of 0.6.3.

Sorry not having tested propery. While waiting 0.6.4, this is the workaround patch suggested in the issue that Jeremy mentioned.
Should I reopen this bug, or should I file another bug report?
Comment 6 Jeremy Chadwick 2021-02-07 00:42:57 UTC
No need for the patch -- 0.6.4, released today, officially fixes this problem.  Details are in https://github.com/christgau/wsdd/issues/80 (ignore the stuff about Linux from one of the participants).